"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DeleteTranslatableCollectionRepository = void 0;
var _GetModel = require("../../GetModel");
class DeleteTranslatableCollectionRepository {
  constructor(context) {
    this.context = context;
  }
  async execute(collectionId) {
    const model = await _GetModel.GetModel.byModelId(this.context, "translatableCollection");

    // `cms.getEntry` throws an error if an entry is not found.
    try {
      const existingEntry = await this.context.cms.getEntry(model, {
        where: {
          collectionId,
          latest: true
        }
      });
      await this.context.cms.deleteEntry(model, existingEntry.entryId, {
        permanently: true
      });
    } catch {
      // If a record doesn't exist, then there's nothing to delete, and we can exit.
      console.log(`[DeleteTranslatableCollectionRepository]: Collection doesn't exist: ${collectionId}`);
    }
  }
}
exports.DeleteTranslatableCollectionRepository = DeleteTranslatableCollectionRepository;

//# sourceMappingURL=DeleteTranslatableCollectionRepository.js.map