"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GetTranslatableCollectionByIdRepository = void 0;
var _error = require("@webiny/error");
var _GetModel = require("../../GetModel");
var _TranslatableCollectionMapper = require("./mappers/TranslatableCollectionMapper");
class GetTranslatableCollectionByIdRepository {
  constructor(context) {
    this.context = context;
  }
  async execute(collectionId) {
    const model = await _GetModel.GetModel.byModelId(this.context, "translatableCollection");
    try {
      const existingEntry = await this.context.cms.getEntry(model, {
        where: {
          collectionId,
          latest: true
        }
      });
      return _TranslatableCollectionMapper.TranslatableCollectionMapper.fromDTO(existingEntry.values, existingEntry.entryId);
    } catch {
      throw new _error.WebinyError({
        message: `TranslatableCollection "${collectionId}" not found!`,
        code: "NOT_FOUND"
      });
    }
  }
}
exports.GetTranslatableCollectionByIdRepository = GetTranslatableCollectionByIdRepository;

//# sourceMappingURL=GetTranslatableCollectionByIdRepository.js.map