"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DeleteTranslatedCollectionRepository = void 0;
var _GetModel = require("../../GetModel");
class DeleteTranslatedCollectionRepository {
  constructor(context) {
    this.context = context;
  }
  async execute(params) {
    const model = await _GetModel.GetModel.byModelId(this.context, "translatedCollection");
    const filter = {
      collectionId: params.collectionId
    };
    if (params.languageCode) {
      filter.languageCode = params.languageCode;
    }
    const [entries] = await this.context.cms.listEntries(model, {
      where: {
        latest: true,
        ...filter
      }
    });
    await Promise.all(entries.map(entry => {
      return this.context.cms.deleteEntry(model, entry.entryId, {
        permanently: true
      });
    }));
  }
}
exports.DeleteTranslatedCollectionRepository = DeleteTranslatedCollectionRepository;

//# sourceMappingURL=DeleteTranslatedCollectionRepository.js.map