"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CloneTranslatedCollectionUseCase = void 0;
var _ = require("../..");
class CloneTranslatedCollectionUseCase {
  constructor(context) {
    this.context = context;
  }
  async execute({
    sourceCollectionId,
    newCollectionId,
    languageCode
  }) {
    // Clone the translated collection.
    const getTranslatedCollection = new _.GetTranslatedCollectionUseCase(this.context);
    const saveTranslatedCollection = new _.SaveTranslatedCollectionUseCase(this.context);
    const baseTranslatedCollection = await getTranslatedCollection.execute({
      collectionId: sourceCollectionId,
      languageCode: languageCode
    });
    return await saveTranslatedCollection.execute({
      collectionId: newCollectionId,
      languageCode: languageCode,
      items: baseTranslatedCollection.getItems().map(item => ({
        itemId: item.itemId,
        value: item.value
      }))
    });
  }
}
exports.CloneTranslatedCollectionUseCase = CloneTranslatedCollectionUseCase;

//# sourceMappingURL=CloneTranslatedCollectionUseCase.js.map