export declare const translatedCollectionSchema = "\n    type TranslatedItem {\n        itemId: String!\n        baseValue: String!\n        baseValueModifiedOn: String!\n        value: String\n        context: JSON\n        translatedOn: DateTime\n        translatedBy: PbIdentity\n    }\n\n    type TranslatedCollection {\n        collectionId: ID!\n        languageCode: String!\n        items: [TranslatedItem!]!\n    }\n\n    input TranslatedItemInput {\n        itemId: String!\n        value: String\n    }\n\n    type TranslatedCollectionResponse {\n        data: TranslatedCollection\n        error: PbError\n    }\n\n    type SaveTranslatedCollectionResponse {\n        data: TranslatedCollection\n        error: PbError\n    }\n    \n    extend type TranslationsQuery {\n        \"\"\"Get the source collection with all the items that need to be translated.\"\"\"\n        getTranslatedCollection(collectionId: ID!, languageCode: String!): TranslatedCollectionResponse\n    }\n\n    extend type TranslationsMutation {\n        saveTranslatedCollection(\n            collectionId: ID!\n            languageCode: String!\n            items: [TranslatedItemInput!]!\n        ): SaveTranslatedCollectionResponse\n        \n        deleteTranslatedCollection(collectionId: ID!, languageCode: String): BooleanResponse\n    }\n";
